/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: UngrabButton.c /main/7 1995/07/14 11:37:07 drk $"
#endif
#endif
/***********************************************************************
  	@(#)UngrabButton.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to sccs
	Calls:

	Summary:
            Simulates the user releasing the current mouse button.

        INPUTS:
            none
        
        OUTPUTS:
            none

        RETURNS:
            nothing
************************************************************************/
#include "xislib.h"

void xisUngrabMouseButton()
{

    (*xisTraceMsg)("Performing ungrab of mouse button\n");

    if (xisPointerGrabbed) {
        xisPointerGrabbed = 0;   /* release causes grab to be released */
        xisState.mod_button_state = 0;
/********NoteGrab****/
        XUngrabPointer(xisDisplay,CurrentTime);
/******/
    }

} /* End  xisUngrabMouseButton() */
