/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: FReadLong.c /main/7 1995/07/14 11:44:08 drk $"
#endif
#endif
/***********************************************************************
  	@(#)FReadLong.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Reads a 4-byte integer from a file in an architecture independent
            way.

            INPUTS
                fd - file descriptor

            OUTPUTS
                none

            RETURNS
                value - 4-byte (or more) value that was read from the file
************************************************************************/

#include "vislib.h"

unsigned long fread_long(fd)
FILE *fd;
{
    unsigned long value;
    unsigned short value1,value2;

    value1 = fread_short(fd);
    value2 = fread_short(fd);

    value = ((unsigned long)value1<<16) | (unsigned long)value2;
    
    return(value);

} /* End fread_long() */
