/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: InitFonts.c /main/7 1995/07/14 11:50:52 drk $"
#endif
#endif
/***********************************************************************
  	@(#)InitFonts.c	1.9.1.1	Date:1/22/91
  	Author: TAT
	History:
            06/13/90 SJS init font_list struct
            08/28/90 SJS make non-existance of fonts an error condition
	Calls:

	Summary:
            This function initializes the font_info array and mvsFontList.

************************************************************************/

#include <AutoMessages.h>
#include "mvslib.h"

/* 
 * Reduced the size of the font_info array to just 1 for the final fallback
 * font for automation.
 */
void mvsInitFonts()
{


    XmFontList font_list;
    char msg_string[125];

    font_list = (XmFontList)NULL;

    mvsFontInfo[0].font_struct = XLoadQueryFont(mvsDisplay,
                                                mvsFontInfo[0].font_name);

    if (mvsFontInfo[0].font_struct == NULL) {
        sprintf (msg_string, _AutoMessages[VISMSG41], mvsFontInfo[0].font_name);
        AutoMessage(msg_string);
                    
        AutoError (_AutoMessages[VISMSG13]);

	}
	else {

    	mvsNumLoadedFonts = 1; 
    	font_list = XmFontListCreate(mvsFontInfo[0].font_struct,
                                 	 mvsFontInfo[0].char_set_name);
    	mvsFontList = font_list;

	}

} /* End mvsInitFonts() */
