/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: SetVisMode.c /main/7 1995/07/14 11:51:10 drk $"
#endif
#endif
/***********************************************************************
  	@(#)SetVisMode.c	1.4.1.1	Date:1/22/91
  	Author: SJS
	History:
            05/24/90 SJS put in SCCS
	Calls:

	Summary:
            Sets the visual mode which affects subsequent calls to
        mvsCheckVisual().  Can be set to one of:
                             VISUAL_MODE_BATCH_COMPARE,
                             VISUAL_IMODE_NTERACTIVE_COMPARE,
                             or VISUAL_GMODE_ENERATE_PIXMAPS.

            INPUTS:
                none
        
            OUTPUTS:
                none

            RETURNS:
                nothing
************************************************************************/



#include <AutoMessages.h>
#include "vislib.h"

void mvsSetVisualMode(mode)
int mode;
{
  char msg_string[125];
    if ((mode < VISUAL_MODE_DONT_CHECK)||(mode > VISUAL_MODE_GENERATE_PIXMAPS))
      {
	sprintf (msg_string, _AutoMessages[VISMSG45], mode);
	AutoMessage(msg_string);
      }
    else
        mvsVisualMode = mode;

} /* End mvsSetVisualMode() */
