/* $XConsortium: ComboBox1.c /main/6 1996/07/26 10:56:31 jakku $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */





/* This test takes all its resources from the resource file ComboBox.defaults
   in the ./tests/Toolkit/ComboBox directory. The test should be passed
   a flag (a number from 1-3), which will determine the XtName of the
   ComboBox widget created. This name then determines what resources
   are set for the ComboBox. The resource file contains 3 set of resources
   for this test */


#include <testlib.h>
#include <Xm/ComboBox.h>


#define match(a,b) strcmp(a,b)==0

void
main (int argc, char **argv)
{
	Widget Parent;
	Widget CB;
	int i,a;
	char buf[3];

	CommonTestInit(argc,argv);

	/* User specifies an integer from 1-3  which determines the Xt name of
	   the Notebook widget. */

	if (UserData == NULL)
	  {
	    fprintf (stderr, "Usage : ComboBox1 -u <1-3>\n");
	    exit(1);
	  }

	if (match (UserData,"1")) 
	  a=1;
	else if (match (UserData,"2")) 
	  a=2;
	else if (match (UserData,"3")) 
	  a=3;
	else if (match (UserData, "4"))
	  a=4;

	Parent = XmCreateForm(Shell1, "Parent", NULL, 0);
	XtManageChild (Parent);

	/* determine Xt Name of ComboBox and create ComboBox */

	sprintf (buf, "CB%d", a);
	CB  = XmCreateComboBox (Parent, buf, NULL, 0);
	XtManageChild (CB);

	XtRealizeWidget (Shell1);

	CommonPause();

	XtAppMainLoop (app_context);
      }







