/* $XConsortium: HorPanedWin1.c /main/5 1995/07/15 21:03:19 drk $ */
/*
 * COPYRIGHT NOTICE
 * Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 * ALL RIGHTS RESERVED (MOTIF).  See the file named COPYRIGHT.MOTIF
 * for the full copyright text.
 * 
 */
/*
 * HISTORY
 */
#include <testlib.h>


Widget  PanedWindow1 = NULL;
Widget  PushButton1 = NULL;
Widget  PushButton2 = NULL;
Widget  PushButton3 = NULL;

/*
 * This is a test for Horizontal PanedWindow
 */

void  
main (int argc, char **argv)
{
    int  n;
    Arg  args[MAX_ARGS];
    XmString           tcs = NULL;


    /*  
     * initialize toolkit  
     */

    CommonTestInit(argc, argv);
    
    n = 0;
    XtSetArg(args[n], XmNwidth, 400);  n++;
    XtSetArg(args[n], XmNheight,300);  n++;
    XtSetArg(args[n], XmNgeometry, "+0+0");  n++;
    XtSetValues(Shell1, args, n);
  

    n = 0;
    XtSetArg (args[n], XmNorientation, XmHORIZONTAL); n++;
    XtSetArg (args[n], XmNmarginWidth, 20); n++;
    XtSetArg (args[n], XmNmarginHeight, 20); n++;
    XtSetArg (args[n], XmNsashWidth, 10); n++;
    XtSetArg (args[n], XmNsashHeight, 10); n++;
    XtSetArg (args[n], XmNsashIndent, 15); n++;
    XtSetArg (args[n], XmNsashShadowThickness, 5); n++;
    XtSetArg (args[n], XmNseparatorOn, True); n++;
    XtSetArg (args[n], XmNspacing, 25); n++;
    
    
    PanedWindow1 = XmCreatePanedWindow(Shell1, "PanedWindow1",
                    args, n);
    XtManageChild(PanedWindow1);

    n = 0;
    PushButton1 = XmCreatePushButton(PanedWindow1, "PushButton1",
                    args, n);
    XtManageChild(PushButton1);

    n = 0;
    PushButton2 = XmCreatePushButton(PanedWindow1, "PushButton2",
                    args, n);
    XtManageChild(PushButton2);
    XmStringFree(tcs);

    n = 0;
    PushButton3 = XmCreatePushButton(PanedWindow1, "PushButton3",
                    args, n);
    XtManageChild(PushButton3);
    XmStringFree(tcs);

    XtRealizeWidget(Shell1);


    CommonPause();
    CommonPause();

    n = 0;
    XtSetArg(args[n], XmNallowResize, True);  n++;
    XtSetValues(PushButton1, args, n);

    n = 0;
    XtSetArg(args[n], XmNpaneMinimum, 100);  n++;
    XtSetArg(args[n], XmNpaneMaximum, 150);  n++;
    XtSetValues(PushButton2, args, n);

    n = 0;
    XtSetArg(args[n], XmNskipAdjust, True);  n++;
    XtSetValues(PushButton3, args, n);


    CommonPause();

    n = 0;
    XtSetArg(args[n], XmNwidth, 250); n++;
    XtSetArg(args[n], XmNheight, 250); n++;
    XtSetValues(PushButton1, args, n);

    CommonPause();

    XtAppMainLoop(app_context);
  }

