/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: Text1M.c /main/6 1995/07/13 18:41:26 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

#include <testlib.h>

void main (argc, argv)
int argc;
char **argv;
{
   Widget PanedWindow1;
   Widget Text1;
   Pixel red_pixel;
   Arg args[MAX_ARGS];
   int n;

   /*  initialize toolkit  */
   CommonTestInit(argc, argv);
    
   n = 0;
   PanedWindow1 = XmCreatePanedWindow(Shell1, "PanedWindow1", args, n);
   XtManageChild(PanedWindow1);

   red_pixel = CommonGetColor("red");

   n = 0;
   XtSetArg(args[n], XmNhighlightThickness, 2); n++;
   XtSetArg(args[n], XmNhighlightColor, red_pixel); n++;
   XtSetArg(args[n], XmNallowResize, True); n++;
   XtSetArg(args[n], XmNblinkRate, 0);  n++;
   XtSetArg(args[n], XmNresizeWidth, True); n++;
   XtSetArg(args[n], XmNeditMode, XmMULTI_LINE_EDIT); n++;
   XtSetArg(args[n], XmNrows, 5); n++;
   XtSetArg(args[n], XmNvalue, "One fish\nTwo fish\nRed fish\nBlue fish"); n++;
   XtSetArg(args[n], XmNcursorPosition, 5); n++;
   Text1 = XmCreateText(PanedWindow1, "Text1", args, n);
   XtManageChild(Text1);

   XtRealizeWidget(Shell1);

   CommonPause();              /* tab groups, losingFocus, test for PIR 3143 */

   XtAppMainLoop(app_context);
}
