/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetObjName.c /main/7 1995/07/14 11:16:38 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetObjName.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/21/90 SJS add to SCCS
	Calls:

	Summary:
            Returns the name of the object region to be one of those listed
            in mvslib.h

            INPUTS
                object_code  - integer code from 0 to MAX_OBJECT (i.e.,
                LIST_ITEM_OBJECT)

            OUTPUTS
                none

            RETURNS
                statically define string containing name of object region
************************************************************************/

#include "mvslib.h"

char *mvsGetObjectRegionName(object_code)
int object_code;
{
    if (object_code > MAX_OBJECT || object_code < 0)
        object_code = MAX_OBJECT;

    return mvsObjectName[object_code];
} /* End mvsGetObjectRegionName() */
