/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: WindowToWidg.c /main/7 1995/07/14 11:18:17 drk $"
#endif
#endif
/***********************************************************************
  	@(#)WindowToWidg.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/21/90 SJS add to sccs
	Calls:

	Summary:
            Looks up the widget associated with the specified window

            INPUTS
                window  - window to match

            OUTPUTS
                none

            RETURNS
                Widget associated with the specified window
************************************************************************/
#include "mvslib.h"

Widget mvsWindowToWidget(window)
Window window;
{
    MvsWidgetInfoRecord *widget_info;

    widget_info = (MvsWidgetInfoRecord *)mvsWindowToWidgetInfo(window);

    if (widget_info == NULL)
        return NULL;

    return(widget_info->widget);

}  /* End mvsWindowToWidget() */
