/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetDragDist.c /main/7 1995/07/14 11:33:48 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetDragDist.c	1.2.1.1	Date:1/22/91
  	Author: PSN
	History:
            06/05/90 PSN add to sccs
	Calls:

	Summary:
		This function provides the drag distance (deltas) in x & y
	directions and the current widget id. 
************************************************************************/

#include "xislib.h"

int xisGetDragDistance(pwidget, pdel_x, pdel_y)
int 	*pdel_x, *pdel_y;
Widget	*pwidget;
{
    register XisObjectRecord	*current_obj;

    if (!xisInform.is_valid)
	{
            (*xisWarningMsg)("xisGetDragDistance() called with invalid Inform record\n");
	    return (-1);
	}

    current_obj = xisInform.current_obj;
    *pwidget = current_obj->id.widget;
    *pdel_x = xisInform.del_x;
    *pdel_y = xisInform.del_y;

    return (0);

} /* End xisGetDragDistance() */
