/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: ClickButton.c /main/7 1995/07/14 11:37:40 drk $"
#endif
#endif
/***********************************************************************
  	@(#)ClickButton.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
	Calls:

	Summary:
            Simulate a user pressing a mouse button and releasing it after
        some time interval.

        INPUTS:
            modifier_keys - ShiftMask, LockMask, ControlMask, Mod1Mask, etc.
            button_num    - Mouse button number 1 through 5
            hold_time_interval - Number of Xt timer callbacks to wait for before
                                 releasing the button.
        
        OUTPUTS:
            none

        RETURNS:
            nothing
************************************************************************/
#include "xislib.h"


void xisClickMouseButton(modifier_keys,button_num)
unsigned int modifier_keys;
int button_num;
{
    xisCommonButtonPress(modifier_keys, button_num, 1);

} /* End xisClickMouseButton() */
