/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsPtrOvrWidg.c /main/7 1995/07/14 11:40:03 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsPtrOvrWidg.c	1.3.1.1	Date:1/22/91
  	Author:
	History:
	Calls:

	Summary:
            Returns True if pointer is over widget.

        INPUTS:
            none
        
        OUTPUTS:
            none

        RETURNS:
            True = pointer over widget or child of widget
            False = pointer not over widget
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

int xisIsPointerOverWidget(bool)
int bool;
{
    int result;

    if (!xisInform.is_valid)
      AutoMessage(_AutoMessages[WARNMSG54]);

    if (xisInform.pointer_obj == xisInform.current_obj)
        result = bool;
    else
        result = (!bool);

    return (result);
} /* End xisIsPointerOverWidget() */
