/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: RestorePntr.c /main/7 1995/07/14 11:42:43 drk $"
#endif
#endif
/***********************************************************************
  	@(#)RestorePntr.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
	Calls:

	Summary:
  Restores the pointer location to where it was found at the beginning of
  the input synthesized application run (when xisSavePointer() was called).

  INPUTS:
      none
        
  OUTPUTS:
      none

  RETURNS:
      nothing
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

void xisRestorePointer()
{
    static char routine_name[] = "xisRestorePointer";

    xisUseSessionInfo(routine_name);

    if (!xisPointerSaved)
        AutoMessage(_AutoMessages[SCRMSG40]);
    else {
        xisMovePointer(xisSavePointerX,xisSavePointerY);

        if (!xisIsMapped(xisSaveFocusWindow))
            xisSaveFocusWindow = xisRootWindow;

        XSetInputFocus(xisDisplay,xisSaveFocusWindow,xisSaveFocusRevert,CurrentTime);
    }

} /* End xisRestorePointer() */
