/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: SetFocusMode.c /main/7 1995/07/14 11:43:14 drk $"
#endif
#endif
/***********************************************************************
  	@(#)SetFocusMode.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
	Calls:

	Summary:
            Sets the xis focus mode to either natural or controlled.  Natural
        lets the window manager focus policy dictate which window is in
        keyboard focus.  Controlled mode fights with the window manager to
        control the focus window by periodically checking the current 
        shell that is in focus and if different then where we last set it,
        it puts it back to where we last explicitly set it.

        INPUTS
            mode   - either KEYBOARD_FOCUS_NATURAL or KEYBOARD_FOCUS_CONTROLLED

        OUTPUTS
            none

        RETURNS
            nothing
************************************************************************/

#include "xislib.h"

void xisSetFocusMode(mode)
int mode;
{
    xisKeyboardFocusMode = mode;

} /* End xisSetFocusMode() */
