/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: FWriteShort.c /main/7 1995/07/14 11:44:36 drk $"
#endif
#endif
/***********************************************************************
  	@(#)FWriteShort.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Write a short integer out to a file in an architecture
            independent way.

            INPUTS
                fd - file descriptor
                value1 - short integer value

            OUTPUTS
                none

            RETURNS
                nothing
************************************************************************/
#include "vislib.h"

void fwrite_short(fd,value_in)
FILE *fd;
unsigned int value_in;
{
    unsigned short value1=(unsigned short)value_in;
    unsigned short value2;
    char *ch1 = (char *)&value1;
    char *ch2 = (char *)&value2;

    /* force into most signif byte first format */

    if (LEAST_SIGNIFICANT_BYTE_FIRST) {
        ch2[1] = ch1[0];   /* swap bytes */
        ch2[0] = ch1[1];
    }
    else
        value2 = value1;

    fwrite(&value2,sizeof(short),1,fd);

} /* End fwrite_short() */
