/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: AllocColor.c /main/7 1995/07/14 11:45:12 drk $"
#endif
#endif
/***********************************************************************
  	@(#)AllocColor.c	1.5.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	   05/24/90 TAT access global color info
	   11/15/90 PSN make this routine to use local color cache and
			not use time consuming XQueryColor routines.
	Calls:

	Summary:
            This file contains the function mvsAllocColor which
        allocates one unique RGB color from the local color cache.
	      
        INPUTS
            pixel - X colormap index (pixel) value

        OUTPUTS
            none
 
        RETURNS
            Status where 0=failed, ~0=succeeded
************************************************************************/

#include "vislib.h"

Status mvsAllocColor(pixel)
Pixel pixel;
{
    XColor color;
    int	   result;

    color.pixel = pixel;
    if (visLookUpColorCache(&color) < 0) {
	XQueryColor(visDisplay,mvsVisualInfo.colormap_id,&color);
	visAddToColorCache(&color);
    }
    return(mvsAllocColorStruct(color));

} /* End mvsAllocColor() */
