/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: ArrowBGad1.c /main/7 1995/07/13 17:27:08 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

#include <testlib.h>
#include "Xm/XmP.h"

Widget PanedWindow1, ArrowButton1, ArrowButtonGadget1; 
Widget ArrowButtonGadget2, ArrowButtonGadget3, ArrowButtonGadget4;

void main(argc, argv)
int argc;
char **argv;
{
  register int n;
  Arg args[MAX_ARGS];
  XmString tcs;

  CommonTestInit(argc, argv);
    
  n = 0;
  XtSetArg(args[n], XmNwidth,  400);  n++;
  XtSetArg(args[n], XmNheight, 300);  n++;
  XtSetArg(args[n], XtNgeometry, "+0+0");  n++;
  XtSetValues(Shell1, args, n);

  n = 0;
  PanedWindow1 = XmCreatePanedWindow(Shell1, "PanedWindow1", args, n);
  XtManageChild(PanedWindow1);

  n = 0;
  ArrowButton1 = XmCreateArrowButton(PanedWindow1, "ArrowButton1", args, n);
  XtManageChild(ArrowButton1);

  /*
   * We must realize the top level shell here for arrow to size correctly.
   */

  XtRealizeWidget(Shell1);
  CommonPause();

  n = 0;
  ArrowButtonGadget1 = 
    XmCreateArrowButtonGadget(PanedWindow1,
			      "ArrowButtonGadget1", args, n);
  XtManageChild(ArrowButtonGadget1);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_DOWN);  n++;
  ArrowButtonGadget2 = 
    XmCreateArrowButtonGadget(PanedWindow1,
			      "ArrowButtonGadget2", args, n);
  XtManageChild(ArrowButtonGadget2);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_LEFT);  n++;
  ArrowButtonGadget3 = 
    XmCreateArrowButtonGadget(PanedWindow1,
			      "ArrowButtonGadget3", args, n);
  XtManageChild(ArrowButtonGadget3);
  CommonPause();

  n = 0;
  XtSetArg(args[n], XmNarrowDirection, XmARROW_RIGHT);  n++;
  ArrowButtonGadget4 = 
    XmCreateArrowButtonGadget(PanedWindow1,
			      "ArrowButtonGadget4", args, n);
  XtManageChild(ArrowButtonGadget4);

  CommonPause();
  CommonPause();
  CommonPause();
  XtAppMainLoop(app_context);

  /*
   * Clean up to test more easily for memory leaks
   */

  XtDestroyWidget(ArrowButtonGadget1);
  XtDestroyWidget(ArrowButtonGadget2);
  XtDestroyWidget(ArrowButtonGadget3);
  XtDestroyWidget(ArrowButtonGadget4);
  XtDestroyWidget(ArrowButton1);
  XtDestroyWidget(PanedWindow1);
}
