/* $XConsortium: PIConfig2.c /main/5 1995/07/15 21:13:57 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */

#include <X11/Xlib.h>
#include <testlib.h>


/* test for CR 5217 */
void
main (int argc, char **argv)
{
   Display    *mydisplay;
   int        erster_aufruf=1; 
   Window     win_fix_pos, win_toggle;
   XEvent     event;
   XSizeHints hint;

   CommonTestInit (argc,argv);


   
   win_fix_pos = XCreateSimpleWindow (display, DefaultRootWindow(display),
                           50, 50, 200, 200, 0, 0, 1);

   win_toggle = XCreateSimpleWindow (display, DefaultRootWindow(display),
                           500, 500, 200, 200, 0, 0, 0);
 
   hint.flags = (USPosition | USSize | PMinSize | PMaxSize |
                 PResizeInc | PBaseSize | PAspect);

   hint.x = 50;
   hint.y = 50;
   hint.width  = 200; 
   hint.height = 200;
   hint.max_width  = 200;
   hint.max_height = 200;
   hint.min_width  = 200;
   hint.min_height = 200;
   hint.width_inc  = 1;
   hint.height_inc = 1;
   hint.base_width = hint.min_width;
   hint.base_height = hint.min_height;

   hint.min_aspect.x = hint.max_width;
   hint.min_aspect.y = hint.max_height;
   hint.max_aspect.x = hint.min_width;
   hint.max_aspect.y = hint.min_height;

   XSetStandardProperties (display, win_fix_pos, "win_fix_pos", "win_fix_pos",   None, None, None, &hint);

   hint.max_width  = 400;
   hint.max_height = 400;
   hint.x = 500;
   hint.y = 500;

   XSetStandardProperties( display, win_toggle, "win_toggle", "win_toggle",
                           None, None, None, &hint);

   XSelectInput (display, win_toggle, StructureNotifyMask);
   XMapWindow (display, win_toggle);
   XMapWindow (display, win_fix_pos);

   CommonPause();


   if (erster_aufruf == 1)
     {
       XMoveWindow (display, win_toggle, 50, 50);
       printf ("\nMove after Maximize was executed\n");
       erster_aufruf=0;
     }
    


CommonPause();

XtAppMainLoop(app_context);
}


